Skala
Stock transfers

Create a new stock transfer

Adds a new stock transfer record to the database.

POST
/api/stock_transfers

Adds a new stock transfer record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new StockTransfer resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/stock_transfers" \  -H "Content-Type: application/json" \  -d '{    "code": "string",    "series": "string",    "number": 0,    "transferDate": "2019-08-24T14:15:22Z",    "origin": "/entity/1",    "destination": "/entity/1"  }'
{
  "id": 0,
  "code": "string",
  "series": "string",
  "number": 0,
  "transferDate": "2019-08-24T14:15:22Z",
  "origin": {
    "id": 0,
    "name": "string"
  },
  "destination": {
    "id": 0,
    "name": "string"
  },
  "description": "string",
  "items": [
    {
      "id": 0,
      "stock": {
        "id": 0,
        "unit": {
          "id": 0,
          "name": "string"
        },
        "currency": {
          "id": 0,
          "name": "string",
          "code": "string",
          "symbol": "string"
        }
      },
      "stockVariant": {
        "id": 0,
        "stock": {
          "id": 0,
          "unit": {
            "id": 0,
            "name": "string"
          },
          "currency": {
            "id": 0,
            "name": "string",
            "code": "string",
            "symbol": "string"
          }
        },
        "name": "string"
      },
      "quantity": "string",
      "unitCost": "string",
      "totalCost": "string",
      "availableInOrigin": "string"
    }
  ],
  "status": "string"
}
Empty
Empty